	$(document).ready(function(){
			load(1);
		});

		function load(page){
			var q= $("#q").val();
			
			$("#loader").fadeIn('slow');
			$.ajax({
				type: "POST",
				url:'./ajax/buscar_presentacions.php',
				data:'action=ajax&page='+page+'&q='+q,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})
		}

		


$( "#guardar_presentacion" ).submit(function( event ) {
  $('#guardar_datos').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/nueva_presentacion.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#guardar_datos').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})

$( "#editar_presentacion" ).submit(function( event ) {
  $('#actualizar_datos2').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/editar_presentacion.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax2").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax2").html(datos);
			$('#actualizar_datos2').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})


	function get_presentacion_id(id){
		$("#presentacion_id_mod").val(id);
}

	function obtener_datos(id){
			var nombre = $("#nombre_presentacion"+id).val();
			$("#mod_id_presentacion").val(id);
			$("#nombre_presentacion2").val(nombre);
			
		}
		
		function eliminar (id)
		{

		if (confirm("Realmente deseas eliminar la presentacion")){	
		$.ajax({
        type: "GET",
        url: "./ajax/eliminar_presentacion.php",
        data: "id="+id,
		 
        success: function(datos){
		load(1);
		}
			});
		}
		}
		